#!/usr/bin/env ruby
# -*- coding: utf-8 -*-


puts"復習問題!"
puts"処理を中止して、ループを終わらせるのは何でしょう?"
puts"1:next(ネクスト)"
puts"2break(ブレイク)"
puts"3redo(リドゥー)"
puts"ヒント  この復習問題のプログラムにも使われているよ!!"

while true
  print"答えを記入:"
  kotae =gets.chomp.to_i
  if kotae ==1
    puts"ブブー!不正解"
    break
  elsif kotae ==2
    puts"ピンポーン!正解"
    break
  elsif kotae ==3
    puts"ブブー!不正解"
    break
  else
    puts"そんな選択肢はないよ"
    redo
  end
end
